Package org.wso2.carbon.viewflows.stub

## Class FlowsAdminServiceCallbackHandler

- java.lang.Object
- - org.wso2.carbon.viewflows.stub.FlowsAdminServiceCallbackHandler

-     public abstract class FlowsAdminServiceCallbackHandler
      extends Object

  FlowsAdminServiceCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Object` | `clientData` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowsAdminServiceCallbackHandler()` | Please use this constructor if you don't want to set any clientData
    `FlowsAdminServiceCallbackHandler​(Object clientData)` | User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getClientData()` | Get the client data
    `void` | `receiveErrorgetAxisConfigData​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getAxisConfigData operation
    `void` | `receiveErrorgetHandlerNamesForPhase​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getHandlerNamesForPhase operation
    `void` | `receiveErrorgetOperationAxisConfigData​(Exception e)` | auto generated Axis2 Error handler override this method for handling error response from getOperationAxisConfigData operation
    `void` | `receiveResultgetAxisConfigData​(AxisConfigData result)` | auto generated Axis2 call back method for getAxisConfigData method override this method for handling normal response from getAxisConfigData operation
    `void` | `receiveResultgetHandlerNamesForPhase​(Object result)` | auto generated Axis2 call back method for getHandlerNamesForPhase method override this method for handling normal response from getHandlerNamesForPhase operation
    `void` | `receiveResultgetOperationAxisConfigData​(AxisConfigData result)` | auto generated Axis2 call back method for getOperationAxisConfigData method override this method for handling normal response from getOperationAxisConfigData operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### FlowsAdminServiceCallbackHandler

          public FlowsAdminServiceCallbackHandler​(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### FlowsAdminServiceCallbackHandler

          public FlowsAdminServiceCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultgetOperationAxisConfigData

          public void receiveResultgetOperationAxisConfigData​(AxisConfigData result)

      auto generated Axis2 call back method for getOperationAxisConfigData method override this method for handling normal response from getOperationAxisConfigData operation

    - #### receiveErrorgetOperationAxisConfigData

          public void receiveErrorgetOperationAxisConfigData​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getOperationAxisConfigData operation

    - #### receiveResultgetAxisConfigData

          public void receiveResultgetAxisConfigData​(AxisConfigData result)

      auto generated Axis2 call back method for getAxisConfigData method override this method for handling normal response from getAxisConfigData operation

    - #### receiveErrorgetAxisConfigData

          public void receiveErrorgetAxisConfigData​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAxisConfigData operation

    - #### receiveResultgetHandlerNamesForPhase

          public void receiveResultgetHandlerNamesForPhase​(Object result)

      auto generated Axis2 call back method for getHandlerNamesForPhase method override this method for handling normal response from getHandlerNamesForPhase operation

    - #### receiveErrorgetHandlerNamesForPhase

          public void receiveErrorgetHandlerNamesForPhase​(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getHandlerNamesForPhase operation